## org.hibernate.id.uuid
Class Helper

    java.lang.Object
      org.hibernate.id.uuid.Helper

    public class Helper

extends Object

TODO : javadoc

Constructor Summary
`Helper()`

Method Summary
`static String` `format(int value)`
`static String` `format(short value)`
`static byte[]` `getAddressBytes()`
`static String` `getAddressHexString()`
`static int` `getAddressInt()`
`static byte[]` `getCountBytes()`
`static short` `getCountShort()` Unique in a millisecond for this JVM instance (unless there are > Short.MAX_VALUE instances created in a millisecond)
`static byte[]` `getJvmIdentifierBytes()`
`static String` `getJvmIdentifierHexString()`
`static int` `getJvmIdentifierInt()`
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Helper

    public Helper()

Method Detail

### getAddressBytes

    public static byte[] getAddressBytes()

### getAddressInt

    public static int getAddressInt()

### getAddressHexString

    public static String getAddressHexString()

### getJvmIdentifierBytes

    public static byte[] getJvmIdentifierBytes()

### getJvmIdentifierInt

    public static int getJvmIdentifierInt()

### getJvmIdentifierHexString

    public static String getJvmIdentifierHexString()

### getCountShort

    public static short getCountShort()

  Unique in a millisecond for this JVM instance (unless there are > Short.MAX_VALUE instances created in a millisecond)

### getCountBytes

    public static byte[] getCountBytes()

### format

    public static String format(int value)

### format

    public static String format(short value)

### main

    public static void main(String[] args)
                     throws UnknownHostException

  Throws:
    `UnknownHostException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.